none
Microsoft Exchange management console 2010 - upgrade problem

    Вопрос

  • Hi,

    I installed the software on my windows 7 machine in order to administer mailboxes on our server.  However when attempting to run the software, it advised me that the version on the server was newer than the one on my client (win 7).  I checked the version numbers, downloaded the correct service pack and tried to upgrade.

    The upgrade failed and removed the software completely from my PC - it's no longer in add/remove programs etc etc

    Now when I try to install the sofware again, I get the following error;

    Some controls are not valid.
    - The Exchange files are not installed, but the backup settings registry key is present.  Only build to build upgrade mode is available.


    I read about the problem with WMI service being stopped when upgrade is trying to run (causing it to fail) and about changing the powershell policy to unrestricted.  Unfortunately, I don't have the permissions to do this as it's defined by group policy and so the message says;


    Set-ExecutionPolicy : Windows PowerShell updated your execution policy successfully, but the setting is overridden by a

     policy defined at a more specific scope.  Due to the override, your shell will retain its current effective execution
    policy of "RemoteSigned". Type "Get-ExecutionPolicy -List" to view your execution policy settings. For more information
    , please see "Get-Help Set-ExecutionPolicy."
    At line:1 char:20
    + set-executionpolicy <<<<  unrestricted
        + CategoryInfo          : PermissionDenied: (:) [Set-ExecutionPolicy], SecurityException
        + FullyQualifiedErrorId : ExecutionPolicyOverride,Microsoft.PowerShell.Commands.SetExecutionPolicyCommand

    Is there anyway round this without speaking to a domain admin?

    Thanks.


    • Изменено GazPM 15 июня 2012 г. 14:45
    15 июня 2012 г. 9:06

Ответы

  • Hi ,

    For Exchange related issue, I suggest you post your question to Exchange Software Updates forum for help.

    The reason why we recommend posting appropriately is you will get the most qualified pool of respondents, and other partners who read the forums regularly can either share their knowledge or learn from your interaction with us. Thank you for your understanding.

    Hope the issue will be resolved soon!


    Tracy Cai

    TechNet Community Support

    • Помечено в качестве ответа GazPM 18 июня 2012 г. 8:32
    18 июня 2012 г. 8:25
    Модератор

Все ответы